Class UmlBaseState

Declaration :

- C++ : class UmlBaseState : public UmlItem
- Java : abstract class UmlBaseState extends UmlItem

Directly inherited by : UmlState

Artifact : UmlBaseState

Operation create

returns a new state named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlState, exceptions : RuntimeException
- C++ : public: static UmlState * create(UmlItem * parent, const char * s)
- Java : public static UmlState create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseState

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseState(in id : item_id, in s : string) :
- C++ : protected: UmlBaseState(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseState(long id, String s)

Operation entryBehavior

return the entry behavior in OCL

Declaration :

- Uml : + entryBehavior() : string
- C++ : public: const QCString & entryBehavior()
- Java : public String entryBehavior()

Operation set_EntryBehavior

set the entry behavior in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_EntryBehavior(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_EntryBehavior(const char * s)
- Java : public void set_EntryBehavior(String s) throws RuntimeException

Operation exitBehavior

return the exit behavior in OCL

Declaration :

- Uml : + exitBehavior() : string
- C++ : public: const QCString & exitBehavior()
- Java : public String exitBehavior()

Operation set_ExitBehavior

set the exit behavior in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_ExitBehavior(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_ExitBehavior(const char * s)
- Java : public void set_ExitBehavior(String s) throws RuntimeException

Operation doActivity

return the activity in OCL

Declaration :

- Uml : + doActivity() : string
- C++ : public: const QCString & doActivity()
- Java : public String doActivity()

Operation set_DoActivity

set the activity in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_DoActivity(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_DoActivity(const char * s)
- Java : public void set_DoActivity(String s) throws RuntimeException

Operation cppEntryBehavior

return the entry behavior in C++

Declaration :

- Uml : + cppEntryBehavior() : string
- C++ : public: const QCString & cppEntryBehavior()
- Java : public String cppEntryBehavior()

Operation set_CppEntryBehavior

set the entry behavior in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppEntryBehavior(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppEntryBehavior(const char * s)
- Java : public void set_CppEntryBehavior(String s) throws RuntimeException

Operation cppExitBehavior

return the exit behavior in C++

Declaration :

- Uml : + cppExitBehavior() : string
- C++ : public: const QCString & cppExitBehavior()
- Java : public String cppExitBehavior()

Operation set_CppExitBehavior

set the exit behavior in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppExitBehavior(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppExitBehavior(const char * s)
- Java : public void set_CppExitBehavior(String s) throws RuntimeException

Operation cppDoActivity

return the activity in C++

Declaration :

- Uml : + cppDoActivity() : string
- C++ : public: const QCString & cppDoActivity()
- Java : public String cppDoActivity()

Operation set_CppDoActivity

set the activity in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppDoActivity(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppDoActivity(const char * s)
- Java : public void set_CppDoActivity(String s) throws RuntimeException

Operation javaEntryBehavior

return the entry behavior in Java

Declaration :

- Uml : + javaEntryBehavior() : string
- C++ : public: const QCString & javaEntryBehavior()
- Java : public String javaEntryBehavior()

Operation set_JavaEntryBehavior

set the entry behavior in Java
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaEntryBehavior(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaEntryBehavior(const char * s)
- Java : public void set_JavaEntryBehavior(String s) throws RuntimeException

Operation javaExitBehavior

return the exit behavior in Java

Declaration :

- Uml : + javaExitBehavior() : string
- C++ : public: const QCString & javaExitBehavior()
- Java : public String javaExitBehavior()

Operation set_JavaExitBehavior

set the exit behavior in Java
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaExitBehavior(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaExitBehavior(const char * s)
- Java : public void set_JavaExitBehavior(String s) throws RuntimeException

Operation javaDoActivity

return the activity in Java

Declaration :

- Uml : + javaDoActivity() : string
- C++ : public: const QCString & javaDoActivity()
- Java : public String javaDoActivity()

Operation set_JavaDoActivity

set the activity in Java
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaDoActivity(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaDoActivity(const char * s)
- Java : public void set_JavaDoActivity(String s) throws RuntimeException

Operation isActive

return the indicate if the class is active

Declaration :

- Uml : + isActive() : bool
- C++ : public: bool isActive()
- Java : public boolean isActive()

Operation set_isActive

set if the class is active
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isActive(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isActive(bool v)
- Java : public void set_isActive(boolean v) throws RuntimeException

Operation specification

return the specification

Declaration :

- Uml : + specification() : UmlOperation
- C++ : public: UmlOperation * specification()
- Java : public UmlOperation specification()

Operation set_Specification

set the specification
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Specification(in v : UmlOperation) : bool, exceptions : RuntimeException
- C++ : public: bool set_Specification(UmlOperation * v)
- Java : public void set_Specification(UmlOperation v) throws RuntimeException

Operation associatedDiagram

returns the optional associated diagram

Declaration :

- Uml : + associatedDiagram() : UmlStateDiagram
- C++ : public: UmlStateDiagram * associatedDiagram()
- Java : public UmlStateDiagram associatedDiagram()

Operation set_AssociatedDiagram

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AssociatedDiagram(inout d : UmlStateDiagram) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDiagram(UmlStateDiagram * d)
- Java : public void set_AssociatedDiagram(UmlStateDiagram d) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Relation _uml (<directional composition>)

Declaration :

- Uml : - _uml : StateBehavior
- C++ : private: StateBehavior _uml
- Java : private StateBehavior _uml

Relation _cpp (<directional composition>)

Declaration :

- Uml : - _cpp : StateBehavior
- C++ : private: StateBehavior _cpp
- Java : private StateBehavior _cpp

Relation _java (<directional composition>)

Declaration :

- Uml : - _java : StateBehavior
- C++ : private: StateBehavior _java
- Java : private StateBehavior _java

Attribute _active

Declaration :

- Uml : - _active : bool
- C++ : private: bool _active
- Java : private boolean _active

Relation _specification (<unidirectional association>)

Declaration :

- Uml : - _specification : UmlOperation
- C++ : private: UmlOperation * _specification
- Java : private UmlOperation _specification

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- Uml : - _assoc_diagram : UmlStateDiagram
- C++ : private: UmlStateDiagram * _assoc_diagram
- Java : private UmlStateDiagram _assoc_diagram

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , cppDoActivity , cppEntryBehavior , cppExitBehavior , create , defined_ , deleteIt , description , doActivity , entryBehavior , exitBehavior , getIdentifier , identifier_ , isActive , isMarked , isToolRunning , isWritable , javaDoActivity , javaEntryBehavior , javaExitBehavior , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppDoActivity , set_CppEntryBehavior , set_CppExitBehavior , set_Description , set_DoActivity , set_EntryBehavior , set_ExitBehavior , set_isActive , set_isMarked , set_JavaDoActivity , set_JavaEntryBehavior , set_JavaExitBehavior , set_Name , set_PropertyValue , set_Specification , set_Stereotype , specification , stereotype , supportFile , unload , unload